%global debug_package %{nil}

Name: python-poyo
Epoch: 100
Version: 0.5.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Lightweight YAML Parser for Python
License: MIT
URL: https://github.com/hackebrot/poyo/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
poyo does not allow deserialization of arbitrary Python objects.
Supported types are str, bool, int, float, NoneType as well as dict and
list values.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-poyo
Summary: Lightweight YAML Parser for Python
Requires: python3
Provides: python3-poyo = %{epoch}:%{version}-%{release}
Provides: python3dist(poyo) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-poyo = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(poyo) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-poyo = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(poyo) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-poyo
poyo does not allow deserialization of arbitrary Python objects.
Supported types are str, bool, int, float, NoneType as well as dict and
list values.

%files -n python%{python3_version_nodots}-poyo
%license LICENSE
%{python3_sitelib}/poyo*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-poyo
Summary: Lightweight YAML Parser for Python
Requires: python3
Provides: python3-poyo = %{epoch}:%{version}-%{release}
Provides: python3dist(poyo) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-poyo = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(poyo) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-poyo = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(poyo) = %{epoch}:%{version}-%{release}

%description -n python3-poyo
poyo does not allow deserialization of arbitrary Python objects.
Supported types are str, bool, int, float, NoneType as well as dict and
list values.

%files -n python3-poyo
%license LICENSE
%{python3_sitelib}/poyo*
%endif

%changelog
